summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel P. Berrange <berrange@redhat.com>2011-11-04 11:44:43 +0000
committerDaniel P. Berrange <berrange@redhat.com>2011-11-04 11:44:43 +0000
commit529343aa38e1225089a0c1d03361cf90b5c98387 (patch)
tree54ca2e81c8f0ceec43ac556f63523b302fe09b38
parent8081b0d39ca878625e1f2f0e72195482609a521a (diff)
downloadvirt-viewer-529343aa38e1225089a0c1d03361cf90b5c98387.tar.gz
virt-viewer-529343aa38e1225089a0c1d03361cf90b5c98387.tar.xz
virt-viewer-529343aa38e1225089a0c1d03361cf90b5c98387.zip
Update automated build to test both GTK2 and GTK3 builds
-rwxr-xr-xautobuild.sh33
1 files changed, 32 insertions, 1 deletions
diff --git a/autobuild.sh b/autobuild.sh
index 0cb8c28..3c8e896 100755
--- a/autobuild.sh
+++ b/autobuild.sh
@@ -12,11 +12,24 @@ cd build
../autogen.sh --prefix=$AUTOBUILD_INSTALL_ROOT \
--enable-compile-warnings=error \
- --disable-plugin
+ --disable-plugin \
+ --with-gtk=2.0
make
make install
+# Test GTK3 build too if available
+pkg-config gtk+-3.0 1>/dev/null 2>&1
+if test $? = 0 ; then
+ make distclean
+ ../configure --prefix=$AUTOBUILD_INSTALL_ROOT \
+ --enable-compile-warnings=error \
+ --disable-plugin \
+ --with-gtk=3.0
+ make
+ make install
+fi
+
rm -f *.tar.gz
make dist
@@ -43,10 +56,28 @@ if [ -x /usr/bin/i686-pc-mingw32-gcc ]; then
--build=$(uname -m)-pc-linux \
--host=i686-pc-mingw32 \
--prefix="$AUTOBUILD_INSTALL_ROOT/i686-pc-mingw32/sys-root/mingw" \
+ --disable-plugin \
+ --with-gtk=2.0
make
make install
+ # Test GTK3 build too if available
+ PKG_CONFIG_LIBDIR=/usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig pkg-config gtk+-3.0 1>/dev/null 2>&1
+ if test $? = 0 ; then
+ make distclean
+ PKG_CONFIG_PATH="$AUTOBUILD_INSTALL_ROOT/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig:/usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig" \
+ CC="i686-pc-mingw32-gcc" \
+ ../configure --prefix=$AUTOBUILD_INSTALL_ROOT \
+ --build=$(uname -m)-pc-linux \
+ --host=i686-pc-mingw32 \
+ --prefix="$AUTOBUILD_INSTALL_ROOT/i686-pc-mingw32/sys-root/mingw" \
+ --disable-plugin \
+ --with-gtk=3.0
+ make
+ make install
+ fi
+
#set -o pipefail
#make check 2>&1 | tee "$RESULTS"